Bug 855513 - FSError: mount failed: (32, 'mount: /dev/sdb1 is already mounted or /run/install/isodir busy\n /dev/sdb1 is already mounted on /run/initramfs/live')
FSError: mount failed: (32, 'mount: /dev/sdb1 is already mounted or /run/inst...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
i686 Unspecified
high Severity high
: ---
: ---
Assigned To: A.J. Werkman
Fedora Extras Quality Assurance
abrt_hash:b90359ba73783510195dfbd8a55...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-08 08:02 EDT by A.J. Werkman
Modified: 2014-02-05 17:47 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:47:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: ifcfg.log (687 bytes, text/plain)
2012-09-08 08:02 EDT, A.J. Werkman
no flags Details
File: anaconda-tb (439.44 KB, text/plain)
2012-09-08 08:02 EDT, A.J. Werkman
no flags Details
File: environ (721 bytes, text/plain)
2012-09-08 08:02 EDT, A.J. Werkman
no flags Details
File: type (9 bytes, text/plain)
2012-09-08 08:02 EDT, A.J. Werkman
no flags Details
File: storage.log (212.70 KB, text/plain)
2012-09-08 08:02 EDT, A.J. Werkman
no flags Details
File: version (12 bytes, text/plain)
2012-09-08 08:02 EDT, A.J. Werkman
no flags Details
File: program.log (54.63 KB, text/plain)
2012-09-08 08:02 EDT, A.J. Werkman
no flags Details
File: product (6 bytes, text/plain)
2012-09-08 08:02 EDT, A.J. Werkman
no flags Details
File: syslog (121.93 KB, text/plain)
2012-09-08 08:02 EDT, A.J. Werkman
no flags Details
File: hashmarkername (8 bytes, text/plain)
2012-09-08 08:02 EDT, A.J. Werkman
no flags Details
File: anaconda.log (9.08 KB, text/plain)
2012-09-08 08:02 EDT, A.J. Werkman
no flags Details
File: release (24 bytes, text/plain)
2012-09-08 08:02 EDT, A.J. Werkman
no flags Details
File: description (712 bytes, text/plain)
2012-09-08 08:02 EDT, A.J. Werkman
no flags Details
Error logs off TC6 (23.66 KB, application/octet-stream)
2012-10-20 16:43 EDT, A.J. Werkman
no flags Details

  None (edit)
Description A.J. Werkman 2012-09-08 08:02:11 EDT
Version-Release number of selected component:
anaconda-18.6.5

Additional info:
libreport version: 2.0.12
cmdline:        nomodeset root=live:LABEL=F18PRETC6
kernel:         3.6.0-0.rc2.git2.1.fc18.i686
Comment 1 A.J. Werkman 2012-09-08 08:02:14 EDT
Created attachment 610992 [details]
File: ifcfg.log
Comment 2 A.J. Werkman 2012-09-08 08:02:18 EDT
Created attachment 610993 [details]
File: anaconda-tb
Comment 3 A.J. Werkman 2012-09-08 08:02:20 EDT
Created attachment 610994 [details]
File: environ
Comment 4 A.J. Werkman 2012-09-08 08:02:23 EDT
Created attachment 610995 [details]
File: type
Comment 5 A.J. Werkman 2012-09-08 08:02:25 EDT
Created attachment 610996 [details]
File: storage.log
Comment 6 A.J. Werkman 2012-09-08 08:02:28 EDT
Created attachment 610997 [details]
File: version
Comment 7 A.J. Werkman 2012-09-08 08:02:31 EDT
Created attachment 610998 [details]
File: program.log
Comment 8 A.J. Werkman 2012-09-08 08:02:33 EDT
Created attachment 610999 [details]
File: product
Comment 9 A.J. Werkman 2012-09-08 08:02:36 EDT
Created attachment 611000 [details]
File: syslog
Comment 10 A.J. Werkman 2012-09-08 08:02:38 EDT
Created attachment 611001 [details]
File: hashmarkername
Comment 11 A.J. Werkman 2012-09-08 08:02:40 EDT
Created attachment 611002 [details]
File: anaconda.log
Comment 12 A.J. Werkman 2012-09-08 08:02:43 EDT
Created attachment 611003 [details]
File: release
Comment 13 A.J. Werkman 2012-09-08 08:02:45 EDT
Created attachment 611004 [details]
File: description
Comment 14 Jesse Keating 2012-09-10 16:57:38 EDT
How did you get to this point?  What was your process?
Comment 15 A.J. Werkman 2012-09-11 04:36:32 EDT
My system:
One SATA disk 100Gb to install to, one USB disk 100Gb with the Fedora iso on it and one USB SD-card 8Gb with LiveOS, vmlinuz and initrd.img to boot from.

I boot from the SD-card and want to use the ISO on the USB disk as OS-source.

When I first enter the disc partitioning screen, select the disc to install to and compose a partitioning scheme and after this I enter the source selection screen and select the ISO-image I get this bug. When I do it the other way around, ie. first select the iso and then partition my disc, the bug does not occure.
Comment 16 Jesse Keating 2012-10-03 19:44:20 EDT
Does this still happen with the Beta TC1 image?  http://dl.fedoraproject.org/pub/alt/stage/18-Beta-TC1/
Comment 17 Jesse Keating 2012-10-16 15:23:19 EDT
Closing insufficient data.  Please retry with beta TC4 and re-open if the problem still exists (with new log files).

http://dl.fedoraproject.org/pub/alt/stage/18-Beta-TC4/
Comment 18 A.J. Werkman 2012-10-20 16:43:21 EDT
Created attachment 630642 [details]
Error logs off TC6

This error is reproduceable with all TC-versions so far. Here is the log with TC6.

Remind that it only happens if you first set a new partitioning scheme and after that select the ISO-image. Looks to me the partitioning function somehow blocks the disc that has the ISO-image.
Comment 19 Michal Kovarik 2012-11-09 04:29:41 EST
I've tried installation from hd. 
Step to reproduce:
1. copy iso to ext4 native partition 
2. boot system installation only with inst.repo=hd:<device>:<path> as parameters
3. go to INSTALLATION SORCE
4. click on Choose ISO

Expected result:
no traceback
ISO should be selected by default as ISTALLATION SOUCE (now is Clesest mirror)


Package: anaconda-18.24
Architecture: x86_64
OS Release: Fedora release 18-Beta-TC7
Comment 20 A.J. Werkman 2012-12-08 11:56:02 EST
This is still present in 18-TC1
Comment 21 A.J. Werkman 2012-12-22 03:56:16 EST
In 18-TC3 neither described installation strategie does not work anymore.

Start installation and as soon as you are in the central screen, try to select an iso. This action makes anaconda crash.
Comment 22 Adam Williamson 2013-01-03 22:53:28 EST
I can't reproduce this with Final TC4. I am able to set up a VM with two disks, one blank, one containing an ext4 partition with a 'DVD.iso' file on it (nothing else), go to the 'Installation Source' spoke, select the disk with the DVD.iso file on it as the Device, select the DVD.iso file from that disk, hit Verify, successfully verify the ISO image, and then proceed with an install, which runs from the ISO image. Haven't tested with the inst.repo=hd parameter yet, but the interactive path works fine, no crash.
Comment 23 Adam Williamson 2013-01-03 22:53:50 EST
er, when I say 'this', I meant the crash A.J. Werkman hit in 21.
Comment 24 Adam Williamson 2013-01-03 23:18:56 EST
inst.repo=hd:vdb1:/DVD.iso works fine too. Maybe there's something specific about A.J.'s config.
Comment 25 Fedora End Of Life 2013-12-21 10:05:35 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 26 Fedora End Of Life 2014-02-05 17:47:34 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.